> ## Documentation Index
> Fetch the complete documentation index at: https://docs.interactly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Configurable Inbuilt Tool Schema

> Return the extra-config JSON schema for a single configurable inbuilt tool.

Used by the frontend after the user selects a tool from the picker so it
can render a form for the tool-specific configurable fields.



## OpenAPI

````yaml https://api-prod.interactly.ai/api-docs/workflows/api.json get /workflows/v1/tools/configurable-inbuilt/{key}
openapi: 3.1.0
info:
  title: Interactly API
  description: API for building interactly.ai services
  version: 1.1.0
  contact:
    name: Interactly
    url: https://interactly.ai
    email: developers@interactly.ai
servers:
  - url: https://api-prod.interactly.ai
    description: API Server
security: []
paths:
  /workflows/v1/tools/configurable-inbuilt/{key}:
    get:
      tags:
        - Tools
      summary: Get Configurable Inbuilt Tool Schema
      description: >-
        Return the extra-config JSON schema for a single configurable inbuilt
        tool.


        Used by the frontend after the user selects a tool from the picker so it

        can render a form for the tool-specific configurable fields.
      operationId: >-
        workflow_service_get_configurable_inbuilt_tool_schema_v1_tools_configurable_inbuilt__key__get
      parameters:
        - name: key
          in: path
          required: true
          schema:
            type: string
            title: Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: Bearer
      type: http
      description: >-
        Retrieve your API Key from [Dashboard API Keys
        Section](https://dashboard.interactly.ai/api-keys).

````